import Quill from 'quill'

const Embed = Quill.import('blots/embed')

class DocBlot extends Embed {
  constructor(scroll, node) {
    super(scroll, node)
    this.clickHandler = null
    this.hoverHandler = null
    this.mounted = false
  }

  static create(data) {
    const node = super.create()
    node.setAttribute('contenteditable', false)
    const link = document.createElement('a')
    link.className = 'im-doc-link'
    link.innerHTML = `<i class="iconfont icon-link-desktopwrite"></i>${data.name}`
    link.href = data.url
    link.target = 'new-tab'
    node.appendChild(link)
    return DocBlot.setDataValues(node, data)
  }

  static setDataValues(element, data) {
    const domNode = element
    Object.keys(data).forEach((key) => {
      domNode.dataset[key] = data[key]
    })
    return domNode
  }

  static value(domNode) {
    return { ...domNode.dataset }
  }
}

DocBlot.blotName = 'DocBlot'
DocBlot.tagName = 'span'
DocBlot.className = 'im-doc'

export default DocBlot
