import { getChatDB } from './common'

import type { IDBPDatabase } from 'idb'

export const getMessageListFromDB = async (room_id: number) => {
  let db = await getChatDB()
  let { list = [] } = await db.get('message_list', room_id) || {}
  return {list, data: {next_id : list.length >= 20 ? list[0].id : 0 }}
}
// 更新聊天列表
export const updateMessageList = async (room_id: number, list: any[] = []) => {
  const db = await getChatDB()
  return await db.put('message_list', {list, room_id})
}
export const addMessageToDB = async (room_id: number, message: any) => {
  const db = await getChatDB()
  const store = db.transaction('message_list', 'readwrite').store as any
  const { list = [] } = await store.get(room_id) || {}
  if (list.find((item: any) => item.id === message.id)) {
    return
  }
  if (list.length >= 20) {
    list.shift()
  }
  list.push(message)
  return await store.put({room_id, list})
}

export const updateMessageToDB = async (room_id: number, message: any) => {
  const db = await getChatDB()
  const store = db.transaction('message_list', 'readwrite').store as any
  const { list = [] } = await store.get(room_id) || {}
  list.find((item: any) => {
    if (item.id === message.id) {
      item = Object.assign(item, message)
    }
  })
  return await store.put({room_id, list})
}
export const updateMessageReadState = async (room_id: number,) => {
  const db = await getChatDB()
  const store = db.transaction('message_list', 'readwrite').store as any
  const { list = [] } = await store.get(room_id) || {}
  if (list.length) {
    list.forEach((item: any) => {
      item.is_read = 1
    })
    return await store.put({room_id, list})
  }
}