// import { useMessageStore } from '@/views/im/stores/message'
import { updateTempMessage } from '../db/tempMessage'
import { tryReConnectFn } from '@/hooks/useWebSocket'
import bus from '@/utils/mitt'

// 临时记录消息发送，超过1分钟 发送失败
const QueueMessageMap = {}

export const addPendingMessage = (custom_id, connectType) => {
  const timerSendFail = setTimeout(() => {
    action_updateMessage(custom_id, { is_read: 3 })
  }, 60000)
  const timerReConnect = setTimeout(() => {
    tryReConnectFn(connectType)
  }, 5000)
  removePendingMessage(custom_id)
  QueueMessageMap[custom_id] = { timerReConnect, timerSendFail }
}
export const removePendingMessage = (custom_id) => {
  if (QueueMessageMap[custom_id]) {
    clearTimeout(QueueMessageMap[custom_id].timerSendFail)
    clearTimeout(QueueMessageMap[custom_id].timerReConnect)
    delete QueueMessageMap[custom_id]
  }
}
export function action_updateMessage(custom_id, data, chat_id) {
  // console.log('custom_id:', custom_id, 'data:', data, 'chat_id:', chat_id)
  updateMessage(custom_id, data)
  updateTempMessage(custom_id, data)
}
export function updateMessage(messageId, data) {
  bus.emit('sendMessageUpdate', {messageId, data})
}
