/* 聊天会话相关状态 */
import { defineStore } from 'pinia';
import { asideList } from './chat/aside';
import chatDraftCache from '@/components/chat-module/msgUtils/chatDraftCache';
export const useUserImStore = defineStore('userImStore', {
  persist: true,
  state: () => {
    return {
      // passport的uuid
      user_uuid: '',
      /* 未读消息数 */
      im_id: '13932377887',
      /* link IM id */
      user_im_id: '13932377887',
      related_msg_id: '', // 最近一条消息id
      cur_room_id: '', // 当前聊天room
      // 当前选择的Tab
      chatType: 'findPeople',
      navList: [...asideList],
      // 我的企业
      has_account: null, // 是否为企业用户
      enterpriseList: [],
      draft: {},
    };
  },
  getters: {},
  actions: {
    async handleSelectMenu(item: any) {
      this.chatType = item.key;
      this.cur_room_id = '';
    },
    // 切换聊天菜单
    handleChatType(key: string) {
      const current = this.navList.find((item: any) => item.key === key);
      if (current) {
        this.handleSelectMenu(current);
      }
    },
    updateUserUnreadNum(unreadMap: any) {
      this.navList.map((menu: any) => {
        if (unreadMap[menu.key] !== undefined) {
          menu.unread = unreadMap[menu.key];
        }
      });
    },

    updateDraft(room_id: number, draft: any) {
      // 缓存内容，或回复
      if (draft && (draft.text || draft.reply?.id)) {
        this.draft[room_id] = draft.text || '回复';
        chatDraftCache.updateDraft(room_id, draft);
      } else {
        chatDraftCache.updateDraft(room_id, null);
        delete this.draft[room_id];
      }
    },
    LOGOUT_IM() {
      this.user_im_id = '';
    },
    // 重置部分信息
    resetData() {
      this.draft = {};
    },
  },
});
