import axios from 'axios'
import { trim } from './tools'
import { onGetLSItem } from '@/utils/localStorage'


const service = axios.create({
  baseURL: '',
  timeout: 60000
})

// 请求拦截器
service.interceptors.request.use(
  (config) => {
    config.headers['version'] = onGetLSItem('appVersion')
    config.headers['platform'] = 'pc'
    config.headers['source'] = 'see'
    const params = config.data || {}
    params.source = 'see'
    let paramsStr = ''
    for (const i in params) {
      paramsStr += i + '=' + encodeURIComponent(trim(params[i])) + '&'
    }
    config.data = paramsStr.substring(0, paramsStr.length - 1)
    return config
  },
  (error) => {
    console.log(error)
    Promise.reject(error)
  }
)

// 响应拦截器
service.interceptors.response.use(
  (response) => {
    const res = response.data
    if (res.status !== 40002) {
      return res
    }
  },
  (error) => {
    return Promise.reject(error)
  }
)

export default service
